package com.eactive.eai.rms.onl.manage.adapter.spcftmadapter;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class AdapterJobInfo {


	private String jobName; 
	private String adptrBzwkGroupName;
	private String cronExp;
	private String adptrMngDstCd;
	private String startStop;
	private String jobClassName;
	private String serverName;
	private String adtrSvrInstNm;  //어댑터 스케줄러 동작 인스턴스 서버명 
	
	private Map<String,String>    list;
	
	public AdapterJobInfo() {
		super();
		this.list = new HashMap<String,String>();
	}
	
	public AdapterJobInfo(String jobName,String adptrBzwkGroupName,String cronExp, String adptrMngDstCd,String startStop,String jobClassName ,String serverName ,String adtrSvrInstNm) {
		this.jobName      = jobName;
		this.adptrBzwkGroupName = adptrBzwkGroupName;
		this.cronExp      	= cronExp;
		this.serverName 	= serverName;
		this.adptrMngDstCd  = adptrMngDstCd;
		this.startStop	 	= startStop;
		this.jobClassName   = jobClassName;
		this.adtrSvrInstNm  = adtrSvrInstNm;
		this.list 		 	 = new HashMap<String,String>();
	}
	public Set<String> getKeySet(){
		return this.list.keySet();
	}
	public String getValue(String key){
		return this.list.get(key);
	}
	public void addKeyValue(String key,String value){
		this.list.put(key, value);
	}
	public void clearKeyValue(){
		this.list.clear();
	}
	public String getJobName() {
		return jobName;
	}
	
	public void setJobName(String jobName) {
		this.jobName = jobName;
	}
	
	public String getCronExp() {
		return cronExp;
	}

	public void setCronExp(String cronExp) {
		this.cronExp = cronExp;
	}

	public String getAdptrBzwkGroupName() {
		return adptrBzwkGroupName;
	}

	public void setAdptrBzwkGroupName(String adptrBzwkGroupName) {
		this.adptrBzwkGroupName = adptrBzwkGroupName;
	}

	public String getAdptrMngDstCd() {
		return adptrMngDstCd;
	}

	public void setAdptrMngDstCd(String adptrMngDstCd) {
		this.adptrMngDstCd = adptrMngDstCd;
	}

	public String getServerName() {
		return serverName;
	}

	public void setServerName(String serverName) {
		this.serverName = serverName;
	}

	public String getJobClassName() {
		return jobClassName;
	}

	public void setJobClassName(String jobClassName) {
		this.jobClassName = jobClassName;
	}

	public Map<String, String> getList() {
		return list;
	}

	public void setList(Map<String, String> list) {
		this.list = list;
	}
	
	public String getStartStop() {
		return startStop;
	}

	public void setStartStop(String startStop) {
		this.startStop = startStop;
	}

	public String getAdtrSvrInstNm() {
		return adtrSvrInstNm;
	}

	public void setAdtrSvrInstNm(String adtrSvrInstNm) {
		this.adtrSvrInstNm = adtrSvrInstNm;
	}

	@Override
	public String toString() {
		return "ScheduleAdapterJobInfo [cronExp="
				+ cronExp + ", adptrBzwkGroupName=" + adptrBzwkGroupName + ", adptrMngDstCd=" + adptrMngDstCd
				+ ", serverName=" + serverName + ", startStop=" + startStop + "]";
	}
	



}
